/*
** Database Creation File for Samariteen AIM Client 
** 11 November 2008 
** Elliot Pennington 
*/

/*
** Client table represents the Client, the person AIMing us.
*/
CREATE TABLE Client (
       screenname VARCHAR(255),
       serialNum VARCHAR(255),
       snalias VARCHAR(255)
);

/*
** Befriender table represents the Befriender, our representatives 
*/
CREATE TABLE Befriender (
       -- user login -- 
       identification VARCHAR(255),
       PRIMARY KEY (identification)
);

/*
** This table represents a persisted conversation on disk, including
**  associated log file and note file
*/
CREATE TABLE Conversation (
       -- We need to store the identities of the two parties
       screenname VARCHAR(255),
       identification VARCHAR(255),
       -- The name of the log file
       logfile VARCHAR(255),
       -- The name of the notes file
       notefile VARCHAR(255),
       PRIMARY KEY (logfile),
       FOREIGN KEY (screenname) REFERENCES Client(screenname),
       FOREIGN KEY (identification) REFERENCES Client(identification)
);

/*
** Administrators will have a different view from regular users, so we need 
**  to store these.
*/
CREATE TABLE Administrators (
        identification VARCHAR(255),
        PRIMARY KEY (idendification),
	FOREIGN KEY (identification) REFERENCES Befriender(identification)
);
