#!/usr/bin/python

#  inserver.py
#  Test Server object 
#  
#  Elliot Pennington 2008

import os
from socket import *
from toc import TocTalk, BotManager
from message import Message
import dispatcher, outward_server, befriender_handler, net_info

sn1 = "samariteen"
pass1 = "neetiramas"

names = []

class InServer(TocTalk):
    """
    An instance of the bot. 
    
    [GFP] You need to add design information and TOC specifics.
    
    This is really more of the OUTWARD FACING SERVER.
    """

    def on_IM_IN_ENC2(self, data):
        """
        Event called when we receive an incoming instant message.
        
        History can be entered here.
        """
        global names
        print data
        self.msg = Message(data)
        names.append(self.msg.getSn())
        self.msg.display()
        dispatcher.sendin(self.msg)
        
    def on_IM_OUT(self, msg):
        """
        I created this as the event called when I want to send a message out.
        
        History can be entered here.
        """
        self.do_SEND_IM(msg.getSn(), msg.getMsg(), None)
        
    def on_NICK(self, data):
        pass
        
    def on_CONFIG2(self, data):
        pass
    
    def on_BART2(self, data):
        pass
    
    def on_BUDDY_CAPS2(self, data):
        pass

    def on_UPDATE_BUDDY2(self, data):
        pass

#Start the external server
inserv = InServer(sn1, pass1)
inserv._info = "will this work?"
dispatcher.server = inserv

bm = BotManager()
bm.addBot(inserv, "server")

outward_server.Go(net_info.port, befriender_handler.BefrienderHandler)
